unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ComCtrls, module;

type
  TfrmControlPanel = class(TForm)
    comboLayer: TComboBox;
    Label1: TLabel;
    RadioGroup1: TRadioGroup;
    RadioGroup2: TRadioGroup;
    cbLayer1: TCheckBox;
    Label2: TLabel;
    cbLayer2: TCheckBox;
    cbLayer3: TCheckBox;
    cbLayerEnemies: TCheckBox;
    cbLayerItems: TCheckBox;
    cbLayerTriggers: TCheckBox;
    TrackBar1: TTrackBar;
    Label3: TLabel;
    procedure cbLayer1Click(Sender: TObject);
    procedure cbLayer2Click(Sender: TObject);
    procedure cbLayer3Click(Sender: TObject);
    procedure comboLayerChange(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure RadioGroup2Click(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmControlPanel: TfrmControlPanel;

implementation

uses Unit1;

{$R *.dfm}

procedure TfrmControlPanel.cbLayer1Click(Sender: TObject);
begin
  Module1.DrawLayer1 := Not(Module1.DrawLayer1);
end;

procedure TfrmControlPanel.cbLayer2Click(Sender: TObject);
begin
  Module1.DrawLayer2 := Not(Module1.DrawLayer2);
end;

procedure TfrmControlPanel.cbLayer3Click(Sender: TObject);
begin
  Module1.DrawLayer3 := Not(Module1.DrawLayer3);
end;

procedure TfrmControlPanel.comboLayerChange(Sender: TObject);
begin
  if ComboLayer.Text = 'Layer 1' then Module1.CurrentLayer := 1;
  if ComboLayer.Text = 'Layer 2' then Module1.CurrentLayer := 2;
  if ComboLayer.Text = 'Layer 3' then Module1.CurrentLayer := 3;
end;

procedure TfrmControlPanel.TrackBar1Change(Sender: TObject);
begin
  FrmMain.OmegaTimer1.Interval := TrackBar1.Position * 10;
  Label3.Caption := 'Timer Interval -= ' + IntToStr(FrmMain.Omegatimer1.Interval) + ' =-';
end;

procedure TfrmControlPanel.RadioGroup2Click(Sender: TObject);
begin
  if RadioGroup2.ItemIndex = 0 then FrmMain.ChangeTileScale(1);
  if RadioGroup2.ItemIndex = 1 then FrmMain.ChangeTileScale(0.75);
  if RadioGroup2.ItemIndex = 2 then FrmMain.ChangeTileScale(0.50);
  if RadioGroup2.ItemIndex = 3 then FrmMain.ChangeTileScale(0.25);
  if RadioGroup2.ItemIndex = 4 then FrmMain.ChangeTileScale(0.10);
end;

procedure TfrmControlPanel.RadioGroup1Click(Sender: TObject);
begin
  case RadioGroup1.ItemIndex of
    0 : Module1.CurrentMode := 'drawtile';
    1 : Module1.CurrentMode := 'additem';
    2 : Module1.CurrentMode := 'addenemy';
    3 : Module1.CurrentMode := 'addtrigger';
    4 : Module1.CurrentMode := 'edittile';
    5 : Module1.CurrentMode := 'eraser';
  end;
end;

end.
