unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes,
  Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, OmegaMultimedia,
  Menus, ComCtrls;

type
  TForm1 = class(TForm)
    OmegaMultimedia1: TOmegaMultimedia;
    Timer1: TTimer;
    MainMenu1: TMainMenu;
    Playmovie1: TMenuItem;
    Playsound1: TMenuItem;
    Play1: TMenuItem;
    Loop1: TMenuItem;
    StatusBar1: TStatusBar;
    Loadmovie1: TMenuItem;
    OpenDialog1: TOpenDialog;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure OmegaMultimedia1Media0Complete(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure Play1Click(Sender: TObject);
    procedure Loop1Click(Sender: TObject);
    procedure LoadMovie1Click(Sender: TObject);
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  OmegaMultimedia1.Init;
  OmegaMultimedia1.Media.Items[0].SethWnd(Handle);
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  OmegaMultimedia1.Media.Items[0].Play;
  Timer1.Enabled := True;
end;

procedure TForm1.OmegaMultimedia1Media0Complete(Sender: TObject);
begin
  OmegaMultimedia1.Media.Items[0].Rewind; // the same as Loop := True
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  OmegaMultimedia1.Render;
  StatusBar1.Panels.Items[0].Text := 'Duration = ' + FloatToStr(OmegaMultimedia1.Media.Items[1].Duration) + ' Position = ' + FloatToStr(OmegaMultimedia1.Media.Items[1].Position);
end;

procedure TForm1.FormResize(Sender: TObject);
var
  orgW, orgH, w, h: Integer;
begin
  OmegaMultimedia1.Media.Items[0].Video.Width := ClientWidth+8;
  OmegaMultimedia1.Media.Items[0].Video.Height := ClientHeight+27+4;
  OmegaMultimedia1.Media.Items[0].Video.Left := -4;
  OmegaMultimedia1.Media.Items[0].Video.Top := -27;

  orgW := OmegaMultiMedia1.Media.Items[0].Video.OriginalWidth;
  orgH := OmegaMultiMedia1.Media.Items[0].Video.OriginalHeight;
  w    := OmegaMultimedia1.Media.Items[0].Video.Width;
  h    := OmegaMultimedia1.Media.Items[0].Video.Height;

  if (w <{=} orgW) then
  begin
    OmegaMultimedia1.Media.Items[0].Video.Width := orgW;
    ClientWidth := orgW - 8;
  end;
  if (h <{=} orgH) then
  begin
    OmegaMultimedia1.Media.Items[0].Video.Height := orgH;
    ClientHeight := orgH - 27 - 4;
  end;
end;

procedure TForm1.Play1Click(Sender: TObject);
begin
  OmegaMultimedia1.Media.Items[1].Play;
  Timer1.Enabled := True;
end;

procedure TForm1.Loop1Click(Sender: TObject);
begin
  Loop1.Checked := not Loop1.Checked;
  OmegaMultimedia1.Media.Items[1].Loop := Loop1.Checked;
end;

procedure TForm1.LoadMovie1Click(Sender: TObject);
begin
 if opendialog1.Execute then omegamultimedia1.Media.Items[0].Load(opendialog1.FileName);
 OmegaMultimedia1.Media.Items[0].SethWnd(Handle);
end;

end.
