unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics,
  Controls, Forms, Dialogs, StdCtrls, OmegaScreen;

type
  TForm1 = class(TForm)
    Button1: TButton;
    res: TComboBox;
    Label1: TLabel;
    win: TCheckBox;
    fs: TCheckBox;
    zb: TCheckBox;
    rm: TComboBox;
    Label2: TLabel;
    bit: TComboBox;
    Label3: TLabel;
    vs: TCheckBox;
    Label4: TLabel;
    Memo1: TMemo;
    Label5: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Unit2, OmegaUtils;

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var s:string;
    form2: TForm2;
begin
 Form2:=TForm2.Create(form1);
 memo1.clear;
 with Form2 do
 begin
 OmegaTimer1.Enabled:=false;
 case res.itemindex of
 1:begin
  Omegascreen1.Width:=800;
  Omegascreen1.Height:=600;
  Form2.ClientWidth:=800;
  Form2.ClientHeight:=600;
 end;
 2:begin
  Omegascreen1.Width:=1024;
  Omegascreen1.Height:=768;
  Form2.ClientWidth:=1024;
  Form2.ClientHeight:=768;
 end;
 else
 begin
  Omegascreen1.Width:=640;
  Omegascreen1.Height:=480;
  Form2.ClientWidth:=640;
  Form2.ClientHeight:=480;
 end;
 end;
 case bit.itemindex of
 0:Omegascreen1.bpp:=16;
 else Omegascreen1.bpp:=32;
 end;
 Omegascreen1.ZBuffer:=zb.checked;
 Omegascreen1.VSYNC:=vs.checked;
 form1.windowstate:=wsminimized;

 memo1.lines.add('Device: '+Omegascreen1.Adapters[0].AdapterIdentifier.Description);
 s:=res.Items[res.itemindex];
 s:=s+' x ';
 s:=s+copy(bit.Items[bit.itemindex],1,2);
 memo1.lines.add('Resolution: '+s);
 case rm.itemindex of
 0:Omegascreen1.RenderMode:=rmHardware;
 1:Omegascreen1.RenderMode:=rmSoftware;
 2:Omegascreen1.RenderMode:=rmReference;
 end;
 case Omegascreen1.Rendermode of
 rmHardware:memo1.lines.add('RenderMode: Hardware');
 rmSoftware:memo1.lines.add('RenderMode: Software');
 rmReference:memo1.lines.add('RenderMode: Reference');
 end;
 form2.ActivateScreen;
 memo1.lines.add('');

 if win.checked then
 begin
  Omegascreen1.FullScreen:=false;
  Omegascreen1.ReInit;
  OmegaTimer1.Enabled:=true;
  sec:=0;
  timer1.enabled:=true;
  form2.showmodal;
  OmegaTimer1.Enabled:=false;

  memo1.lines.add('Windowed Mode');
  s:='Blank: '+inttostr(round(fps[0]));
  memo1.lines.add(s);
  s:='Rectangles: '+inttostr(round(fps[1]));
  memo1.lines.add(s);
  s:='Images: '+inttostr(round(fps[2]));
  memo1.lines.add(s);
  s:='Sprites: '+inttostr(round(fps[3]));
  memo1.lines.add(s);
  s:='AVERAGE: '+inttostr(round((fps[0]+fps[1]+fps[2]+fps[3])*0.25));
  memo1.lines.add(s);
  memo1.lines.add(' ');
 end;

 if fs.checked then
 begin
  Omegascreen1.FullScreen:=true;
  Omegascreen1.ReInit;

  OmegaTimer1.Enabled:=true;
  sec:=0;
  timer1.enabled:=true;
  form2.showmodal;
  memo1.lines.add('FullScreen Mode');
  s:='Blank: '+inttostr(round(fps[0]));
  memo1.lines.add(s);
  s:='Rectangles: '+inttostr(round(fps[1]));
  memo1.lines.add(s);
  s:='Images: '+inttostr(round(fps[2]));
  memo1.lines.add(s);
  s:='Sprites: '+inttostr(round(fps[3]));
  memo1.lines.add(s);
  s:='AVERAGE: '+inttostr(round((fps[0]+fps[1]+fps[2]+fps[3])*0.25));
  memo1.lines.add(s);
 end;
 
 end;
 form2.close;
 form2.free;
 form1.windowstate:=wsnormal;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
 res.itemindex:=0;
 bit.itemindex:=0;
 rm.itemindex:=0;
end;

end.
